Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.notification
Class CalendarNotification

    java.lang.Object
      com.bea.apps.groupspace.notification.GroupSpaceNotification
          com.bea.apps.groupspace.notification.CommunityNotification
              com.bea.apps.groupspace.notification.CollaborationNotification
                  com.bea.apps.groupspace.notification.CalendarNotification

    public class CalendarNotification

extends CollaborationNotification

This class handles notifications that were created by calendar events.

Field Summary
`static String` | `NOTIFICATION_NAME` Setting to NotificationInviationHelper invitation namespace for consistency.

Fields inherited from class com.bea.apps.groupspace.notification.GroupSpaceNotification
`debug, expirationDate, GROUPSPACE_NOTIFICATION_NAMESPACE, notification, notificationProps, PROP_IMPLEMENTATION_KEY, PROP_SEVERITY_KEY, PROP_SUBJECT_KEY, SEVERITY_SEV_HIGH, SEVERITY_SEV_NORMAL`

Constructor Summary
`CalendarNotification()`
`CalendarNotification(Notification notification)` Overridden so that the payload will not get parsed into properties.

Method Summary
`String` | `getCalendarItemId()`
`protected String` | `getNotificationName()`
`Date` | `getStartDate()`
`Date` | `getStartTime()`
`void` | `setCalendarItemId(String id)`
`void` | `setStartTime(Date theDate)`
`protected void` | `validateOnSend()`

Methods inherited from class com.bea.apps.groupspace.notification.CollaborationNotification
`getAccountId, getIsCommunityAccount, setAccountId, setIsCommunityAccount`

Methods inherited from class com.bea.apps.groupspace.notification.CommunityNotification
`getCommunityDefinitionID, setCommunityDefinitionID`

Methods inherited from class com.bea.apps.groupspace.notification.GroupSpaceNotification
`getExpirationDate, getIsHighSeverity, getNotification, getNotificationAttribute, getNotificationAttribute, getNotificationNamespace, getNotificationSeverity, getNotificationSubject, isValidNotification, setExpirationDate, setNotificationAttribute, setNotificationSeverity, setNotificationSubject, toNotificationPayloadInfo, toNotificationPayloadInfo, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOTIFICATION_NAME

    public static final String NOTIFICATION_NAME

  Setting to NotificationInviationHelper invitation namespace for consistency.

  See Also
    Constants Summary

Constructor Detail

### CalendarNotification

    public CalendarNotification(Notification notification)

  Overridden so that the payload will not get parsed into properties.

### CalendarNotification

    public CalendarNotification()

Method Detail

### getNotificationName

    protected String getNotificationName()

  Specified by:
    `getNotificationName` in class `GroupSpaceNotification`

### setCalendarItemId

    public void setCalendarItemId(String id)

### getCalendarItemId

    public String getCalendarItemId()

### getStartTime

    public Date getStartTime()

### getStartDate

    public Date getStartDate()

### setStartTime

    public void setStartTime(Date theDate)

### validateOnSend

    protected void validateOnSend()
                           throws MissingDataException

  Overrides:
    `validateOnSend` in class `CollaborationNotification`
  Throws
    `MissingDataException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved